curl --request GET \
--url https://api.invopop.com/sequence/v1/series/{series_id}/entries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/sequence/v1/series/{series_id}/entries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/sequence/v1/series/{series_id}/entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2023-01-25T08:04:14.245Z",
"updated_at": "2023-01-25T08:04:14.245Z",
"series_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"code": "string",
"meta": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"previous_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sigs": [
"string"
]
}
Fetch a series entry
Fetch an existing entry in a series given its UUID.
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2023-01-25T08:04:14.245Z",
"updated_at": "2023-01-25T08:04:14.245Z",
"series_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"code": "string",
"meta": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"previous_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sigs": [
"string"
]
}
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Path Parameters
UUID of the series to fetch entries for
UUID of the entry to fetch
Response
OK
The complete code for the entry, including prefix and suffix.
"INV-00001-F1"
The date and time the entry was created.
"2020-10-01T00:00:00Z"
The UUID (any version) of the entry.
"a8904315-3d16-4a95-91c1-30d6cdde553e"
A set of key/value pairs that can be used to store additional information about the entry.
Show child attributes
Show child attributes
{ "name": "John Doe" }
The UUID of the previous entry in the series.
"a8904315-3d16-4a95-91c1-30d6cdde553e"
The UUID of the series the entry belongs to.
"a8904315-3d16-4a95-91c1-30d6cdde553e"
Set of JSON Web Signatures validating the information contained in the entry.
The date and time the entry was last updated.
"2020-10-01T00:00:00Z"
Was this page helpful?